/* TreemapPlotImpl.java

	Purpose:
		
	Description:
		
	History:
		Fri, Oct  2, 2015 11:30:10 AM, Created by Christopher

Copyright (C) 2015 Potix Corporation. All Rights Reserved.

This program is distributed under LGPL Version 2.1 in the hope that
it will be useful, but WITHOUT ANY WARRANTY.
*/
package org.zkoss.chart.impl;

import org.zkoss.chart.PlotData;
import org.zkoss.chart.model.ChartsModel;
import org.zkoss.chart.model.SingleValueCategoryModel;

/**
 * 
 * @author Christopher
 */
public class TreemapPlotImpl extends PlotEngineImpl {
	public TreemapPlotImpl(PlotData plotData) {
		super(plotData);
	}

	public PlotData drawPlot(ChartsModel model) {
		if (model instanceof SingleValueCategoryModel) {
			return drawSingleValueCategoryModel((SingleValueCategoryModel) model);
		}
		throw new IllegalArgumentException("Unsupported model type [" + model + "]");
	}

}
